package com.cirle.scientific.service;

import java.util.List;

import com.cirle.scientific.dto.QkjPositionsDTO;
import com.cirle.scientific.dto.QkjRecommendDTO;

public interface RecommendService {

	List<QkjRecommendDTO> findByPosIdLimit(Long posId, Integer start, Integer size);
	List<QkjRecommendDTO> findByPosIdLimit(Long posId, Integer status, Integer start, Integer size);

	List<QkjRecommendDTO> findByPostTypeAndObjId(Integer PostType, Integer ObjId, Integer start, Integer size);
	
	QkjPositionsDTO findByPosId(Long posId);
	QkjPositionsDTO findByPosId(Long posId, Integer status);
}
